6 Replies Latest reply: Nov 13, 2012 4:21 PM by christie333
christie333 Level 1 Level 1 (0 points)

I am trying to activate my iPhone 5. It tells me I need to update iTunes to 7 so I downloaded it but now it tells me I have to update my software to 10.6.8 or higher (10.5.8 now).  When I check for updates it says I am up to date!  Help!!


MacBook Pro, Mac OS X (10.5.8)